Get all locations
curl --request GET \
--url https://api.maalbar.dk/v1/logistics/locations \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/logistics/locations';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "transportLocation_xxxxxxxxxxxx",
"type": "RetailStore",
"name": "<string>",
"own": true,
"geographical": {
"location": {
"publicId": "locationListItem_xxxxxxxxxxxx",
"name": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"address": "<string>",
"city": "<string>",
"zip": "<string>",
"weeksRotation": 123,
"totalCapacity": 123,
"shelfHeight": 123,
"stores": 123,
"timeperiod": "<string>",
"vatNumber": "<string>",
"tier": "Tier1"
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}Locations
Get all locations
Get all locations for the current customer. Paginated with defaults page=1, pageSize=50
GET
/
logistics
/
locations
Get all locations
curl --request GET \
--url https://api.maalbar.dk/v1/logistics/locations \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/logistics/locations';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "transportLocation_xxxxxxxxxxxx",
"type": "RetailStore",
"name": "<string>",
"own": true,
"geographical": {
"location": {
"publicId": "locationListItem_xxxxxxxxxxxx",
"name": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"address": "<string>",
"city": "<string>",
"zip": "<string>",
"weeksRotation": 123,
"totalCapacity": 123,
"shelfHeight": 123,
"stores": 123,
"timeperiod": "<string>",
"vatNumber": "<string>",
"tier": "Tier1"
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}